# $Revision: 1.51 $, $Date: 2010/05/12 20:34:11 $
Summary:	Predictive text entry application
Summary(pl.UTF-8):	Przewidująca aplikacja do wprowadzania tekstu
Name:		dasher
Version:	4.11
Release:	1
License:	GPL v2
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/dasher/4.11/%{name}-%{version}.tar.bz2
# Source0-md5:	55695cacecb9fa9e3259e0f2ef82ae9e
URL:		http://www.inference.phy.cam.ac.uk/dasher/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	ORBit2-devel >= 1:2.14.7
BuildRequires:	at-spi-devel >= 1.20.0
BuildRequires:	atk-devel >= 1.20.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd412-xml
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.1
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-speech-devel >= 0.4.10
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	intltool >= 0.40.1
BuildRequires:	libbonobo-devel >= 2.20.0
BuildRequires:	libgnomeui-devel >= 2.20.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXtst-devel
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dasher is an information-efficient text-entry interface, driven by
natural continuous pointing gestures. Dasher is a competitive
text-entry system wherever a full-size keyboard cannot be used - for
example, on a palmtop computer; on a wearable computer; when operating
a computer one-handed, by joystick, touchscreen, trackball, or mouse;
when operating a computer with zero hands (i.e., by head-mouse or by
eyetracker). The eyetracking version of Dasher allows an experienced
user to write text as fast as normal handwriting - 25 words per
minute; using a mouse, experienced users can write at 39 words per
minute.

%description -l pl.UTF-8
Dasher to wydajny interfejs do wprowadzania tekstu sterowany przez
naturalne ciągłe gesty urządzenia wskazującego. Dasher jest
konkurencyjnym systemem wprowadzania tekstu wszędzie tam, gdzie nie
można użyć pełnowymiarowej klawiatury - na przykład w palmtopach czy
komputerach przenośnych, komputerach sterowanych przez jednorękich, za
pomocą joysticka, ekranu dotykowego, trackballa lub myszy albo bez
użycia rąk (poprzez śledzenie ruchów głowy albo oczu). Wersja Dashera
śledząca ruchy oczu pozwala doświadczonemu użytkownikowi pisać tekst z
podobną szybkością do normalnego pisma - 25 słów na minutę; przy
użyciu myszy doświadczeni użytkownicy mogą pisać nawet 39 słów na
minutę.

%prep
%setup -q

sed -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gnome \
	--enable-speech \
	--enable-a11y \
	--disable-scrollkeeper \
	--with-cairo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install dasher.schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall dasher.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/dasher.schemas
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dasher.spec,v $
Revision 1.51  2010/05/12 20:34:11  megabajt
- updated to 4.11

Revision 1.50  2010/02/22 17:28:48  sls
- ver. 4.10.1

Revision 1.49  2009/11/27 15:25:25  sparky
- BR: docbook-dtd412-xml, gettext-devel, pkgconfig
- remove m4 dir (full of old .m4 files)

Revision 1.48  2009/03/18 22:13:30  patrys
- 4.10.0

Revision 1.47  2009/03/13 23:03:08  megabajt
- use X11/Applications/Accessibility group

Revision 1.46  2008/11/05 15:09:43  sls
- ver. 4.9.0
- removed as_needed.patch

Revision 1.45  2008-04-11 20:45:58  sls
- ver. 4.7.3
- removed action-speech.patch

Revision 1.44  2007-11-03 23:28:40  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.43  2007/10/17 13:57:02  megabajt
- updated to 4.6.1

Revision 1.42  2007/10/13 18:01:14  megabajt
- release 2

Revision 1.41  2007/10/12 01:35:30  sls
- added action-speech.patch
- Doc/Colourschemes no longer exist, it seems

Revision 1.40  2007/09/18 17:42:07  patrys
- 4.6.0

Revision 1.39  2007/05/31 17:16:25  megabajt
- updated to 4.4.2

Revision 1.38  2007/04/08 18:42:37  megabajt
- updated to 4.4.1

Revision 1.37  2007/03/23 19:15:40  megabajt
- updated to 4.4.0
- removed obsolete iconv patch

Revision 1.36  2007/03/04 13:38:36  qrczak
- dasher-iconv.patch: removed AM_ICONV which breaks automake and is
  unnecessary on modern Linux.
- Release 2

Revision 1.35  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.33  2006/10/25 21:01:07  grzegol
- 4.2.1

Revision 1.32  2006/10/05 22:01:34  grzegol
- package tk, ug lang files (languages added in glibc-2.5)

Revision 1.31  2006/09/09 12:16:24  grzegol
- 4.2.0

Revision 1.30  2006/08/26 15:54:56  qboosh
- automake epoch

Revision 1.29  2006/08/26 14:38:53  grzegol
- updated to 4.1.10
- removed outdated desktop patch
- added as-needed patch (fixes build with as-needed)

Revision 1.28  2006/05/16 17:46:14  baggins
- updated files

Revision 1.27  2006/05/16 17:36:39  baggins
- apply ac fix

Revision 1.26  2006/05/16 17:33:42  baggins
- regenerate ac/am/lt

Revision 1.25  2006/05/16 16:24:41  baggins
- no need to regenerate ac/am/lt

Revision 1.24  2006/05/16 16:09:21  baggins
- updated to 4.0.2

Revision 1.23  2005/10/07 18:31:44  zboczuch
- rel. 3

Revision 1.22  2005/10/07 15:10:28  zboczuch
- BR: bonobo-devel

Revision 1.21  2005/09/29 06:03:28  zboczuch
- BR: gail-devel
- rel. 2

Revision 1.20  2005/09/06 22:55:24  aflinta
- 3.2.18

Revision 1.19  2005/08/23 06:12:21  aflinta
- 3.2.16

Revision 1.18  2005/04/08 09:45:54  paladine
- new style macros
- STBR

Revision 1.17  2005/04/05 23:44:15  paladine
- run scrollkeeper-update in quiet mode
- rel. 2

Revision 1.16  2005/03/11 14:57:56  aflinta
- up to version 3.2.15

Revision 1.15  2005/02/02 11:12:45  czucz
- updated to 3.2.13
- fixed License

Revision 1.14  2005/01/12 10:05:22  paladine
- updated to 3.2.12
- updated locale names patch
- STBR

Revision 1.13  2004/09/21 02:07:51  ankry
- added -desktop patch, rel. 2

Revision 1.12  2004/08/03 12:20:32  grzegol
- updated to 3.2.11

Revision 1.11  2004/04/21 15:55:52  grzegol
- updated to 3.2.10

Revision 1.10  2004/04/19 22:53:11  grzegol
- updated to 3.2.9

Revision 1.9  2004/03/22 12:34:31  grzegol
- updated to 3.2.8

Revision 1.8  2004/03/15 22:20:17  grzegol
- updated to 3.2.7

Revision 1.7  2004/03/09 22:04:03  grzegol
- updated to 3.2.6

Revision 1.6  2004/03/09 17:55:29  qboosh
- pl

Revision 1.5  2004/03/09 11:59:58  grzegol
- added BR: intltool

Revision 1.4  2004/03/09 11:55:34  aflinta
- up to version 3.2.5

Revision 1.3  2004/02/25 22:44:19  grzegol
- updated to 3.2.4
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am

Revision 1.2  2004/02/07 19:17:14  grzegol
- added %%doc
- cosmetics

Revision 1.1  2004/02/05 11:26:18  aflinta
- PLD initial release
